Skip to main content
GET
/
webhooks
List webhooks
curl --request GET \
  --url https://api.struct.to/v1/webhooks
{
  "webhooks": [
    {
      "id": "<string>",
      "url": "<string>",
      "event": "trader_first_trade",
      "status": "<string>",
      "created_at": 123,
      "updated_at": 123,
      "has_secret": true,
      "filters": {
        "wallet_addresses": [
          "<string>"
        ],
        "traders": [
          "<string>"
        ],
        "condition_ids": [
          "<string>"
        ],
        "min_usd_value": 123,
        "event_slugs": [
          "<string>"
        ],
        "tags": [
          "<string>"
        ],
        "min_probability": 123,
        "max_probability": 123,
        "min_realized_pnl_usd": 123,
        "max_realized_pnl_usd": 123,
        "min_volume_usd": 123,
        "max_volume_usd": 123,
        "min_buy_usd": 123,
        "min_win_rate": 123,
        "min_markets_traded": 123,
        "min_net_shares": 123,
        "max_net_shares": 123,
        "position_ids": [
          "<string>"
        ],
        "outcomes": [
          "<string>"
        ],
        "position_outcome_indices": [
          1
        ],
        "min_fees": 123,
        "min_txns": 123,
        "min_unique_traders": 123,
        "min_sell_volume_usd": 123,
        "min_price_change_pct": 123,
        "min_probability_change_pct": 123,
        "timeframes": [
          "1m"
        ],
        "milestone_amounts": [
          123
        ],
        "spike_ratio": 123,
        "exclude_shortterm_markets": true,
        "asset_symbols": [
          "BTC"
        ],
        "spike_direction": "up",
        "window_secs": 1
      },
      "description": "<string>",
      "credits_used_24h": 123
    }
  ],
  "total": 1
}

Query Parameters

limit
integer<int32>

Results per page (default: 20, max: 100)

offset
integer<int32>

Pagination offset (default: 0)

status
enum<string>

Filter by status: active, paused Webhook status

Available options:
active,
paused
event
enum<string>

Filter by event type Polymarket webhook event types

Available options:
trader_first_trade,
trader_new_market,
trader_whale_trade,
trader_global_pnl,
trader_market_pnl,
trader_event_pnl,
condition_metrics,
event_metrics,
position_metrics,
market_volume_milestone,
event_volume_milestone,
position_volume_milestone,
probability_spike,
market_volume_spike,
event_volume_spike,
position_volume_spike,
close_to_bond,
market_created,
asset_price_tick,
asset_price_window_update,
price_spike

Response

List of webhooks

List webhooks response

webhooks
object[]
required

List of webhooks

total
integer
required

Total count

Required range: x >= 0
Last modified on March 17, 2026